### Enumeration

# Adw WrapPolicy

since: 1.7

#### Declaration

    enum Adw.WrapPolicy

#### Description [src]

Describes line wrapping behavior in a `AdwWrapLayout` or `AdwWrapBox`.

See `AdwWrapLayout:wrap-policy` and `AdwWrapBox:wrap-policy`.

Available since: 1.7

#### Members

`ADW_WRAP_MINIMUM`

  Fit as many children into each line as possible, shrinking them down to their minimum size before wrapping to the next line.

  - Value: `0`
  - Available since: 1.7
`ADW_WRAP_NATURAL`

  Wrap to the next line as soon as the previous line cannot fit any more children without shrinking them past their natural size.

  - Value: `1`
  - Available since: 1.7